volante clubsport Porsche 911 gt3

buongiorno qualcuno mi puo dire se il volante clubsport porsche 911 gt3 r è compatibile con base 2.5?

Comments

  • edited February 6

    Hello.

    Please post your question in English according to the forum rules so everyone can understand your question.

    But to answer your question: As you can read in the webshop description, the Button Module Endurance is ONLY compatible to Podium DD Bases actually and only will be compatible to other wheel bases with a firmware update in the future - however only with limited Legacy Display mode instead of ITM.

  • edited February 6


    ok ok I'm new ... then is it better if I buy another steering wheel?


  • ok ok I'm new ... then is it better if I buy another steering wheel?

  • in fact i buy this steering wheel because i read it will totally compatible with my v2.5 base in future firmware update and now you say this future update limited legacy display mode ?

    proof : "Note: While the ClubSport Universal Hub for Xbox One is fully supported by our CSL and ClubSport wheel bases, the Podium Button Module Endurance is currently only compatible with the Podium Series direct drive systems. Compatibility to other Fanatec wheel bases will be added in future firmware updates."

  • there was a previous statement which mentioned that the BME will be compatible with other wheel bases with a future firmware update but it will only operate in Legacy Display Mode, not with the new ITM Display Mode. Actually, dont know if this has changed recently and other bases can also operate the BME in ITM mode but I highly doubt it.


  • Yes but it's so late i already buy the button box. but i play irecing and i have JRT. as long as the buttons work .

  • Can anyone please tell me when will it work with V2.5? Stupid to sell the item if it doesnt work. Ordered and received it and disappointment now.


    Thank You

  • edited February 10

    It was always clear that it's not compatible with the v2.5 yet. So you really can't be disappointed because you should have known this before buying so you could also have wait until its compatible.

    It's no stupid move. Stupid would it be if the BME would have been delayed until its compatible with every base so DD users would be angry that they also have to wait even though it's Already compatible...

    No ETA when the firmware update is going to be released, you have to wait. But for sure this year...

Sign In or Register to comment.